﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=7.3
@EndOfDesignText@
'**** ADR String Functions, Version 1.2, April 6th, 2012
'This code goes in a code module named s, short for string functions
'Call any of these from any other activity or code module with the s. prefix. Examples:
's.Left(variable, 5) OR s.Ltrim(variable)

Sub Split(CurrentString As String, Split_At_Delimiter As String) As List
	'*** Function by RBSoft
	Dim t As List
	t = Regex.Split(Split_At_Delimiter, CurrentString)
	Return t
End Sub

Sub InStr(StrVar As String,SearchStr As String)As Long	'Same as At()
	'*** Function by RBSoft
	Dim x As Long
	x = StrVar.IndexOf(SearchStr)
	Return x
End Sub
Sub MB(Message As String)
	Msgbox(Message, "")
End Sub
Sub Left(Text As String, Length As Long)As String 
	If Length>Text.Length Then Length=Text.Length 
	Return Text.SubString2(0, Length)
End Sub
Sub Right(Text As String, Length As Long) As String
	If Length>Text.Length Then Length=Text.Length 
	Return Text.SubString(Text.Length-Length)
End Sub
Sub Mid(Text As String, Start As Int, Length As Int) As String 
	If Len(Text) = 0 Then
		Return ""
	End If	
	Return Text.SubString2(Start-1,Start+Length-1)
End Sub
Sub At(CurrentText As String,FindInString As String) As Int	'Same as InStr()
	Return CurrentText.IndexOf(FindInString)
End Sub
Sub Stuff(CurrentText As String, InsertInString As String, RemoveFromString As String) As String  
	Return Left(CurrentText,At(CurrentText, RemoveFromString)) & InsertInString & Right(CurrentText, (Len(CurrentText)-At(CurrentText, RemoveFromString))-Len(RemoveFromString))
End Sub
Sub Trim(Text As String) As String
	Return Text.Trim
End Sub
Sub Len(Text As String) As Long
	Return Text.Length
End Sub
Sub Ltrim(Text As String) As String
	Do While Left(Text, 1) =" "
		Text = Right(Text, Len(Text)-1)
	Loop
	Return Text
End Sub
Sub Rtrim(Text As String) As String
	Do While Right(Text, 1) =" "
		Text = Left(Text, Len(Text)-1)
	Loop
	Return Text
End Sub
Sub Val(Text As String) As Double
	Do While IsNumber(Right(Text,1))=False Then
		If Len(Text) >0 Then
			Text=Left(Text, Len(Text)-1)
		Else
			Exit
		End If	
	Loop
	If Len(Text) > 0 Then 
		Return Text + 0
	Else
		Return 0
	End If	
End Sub
Sub Empty(Text As String) As Boolean
	Text = Trim(Text)
	If Text.Length < 1 Then
		Return True
	Else
		Return False
	End If	
End Sub
Sub IsEmpty(Text As String) As Boolean
	Text = Trim(Text)
	If Text.Length < 1 Then
		Return True
	Else
		Return False
	End If	
End Sub
Sub iif(Text As String, Text1 As String, Text2 As String) As String
	If Text = True Then Return Text1 Else Return Text2
End Sub
'Sub Space(HM As Int) As String
'	RS = ""
'	Do While Len(RS) < HM
'		RS = RS & " "
'	Loop
'	Return RS
'End Sub
Sub Exist(Text As String) As Boolean
	If File.Exists("", Text) Then Return True Else Return False
End Sub

Sub Upper(Text As String) As String
	Dim Ctext As String
	Ctext = Text.ToUpperCase
	Return Ctext
End Sub
Sub Lower(Text As String) As String
	Dim Ctext As String
	Ctext = Text.ToLowerCase
	Return Ctext
End Sub
Sub Space(HM As Int) As String
	Dim RS As String
	RS = ""
	Do While Len(RS) < HM
		RS = RS & " "
	Loop
	Return RS
End Sub
Sub Proper(Text As String) As String
	Dim A,B As String
	Do While Right(Text,1) = Chr(32)
	Loop
	Do While At(Text, Chr(32)) > -1
		A = Mid(Text, At(Text, Chr(32))+1, 2)
		B = Upper(Right(A, 1)) 
		Text = Stuff(Text, Chr(160) & B, A)
	Loop
	B = Upper(Left(Text,1))
	Text = B & Right(Text, Len(Text) -1)
	Do While At(Text, Chr(160)) > -1
		Text = Stuff(Text, Chr(32), Chr(160))
	Loop
	Return Text
End Sub

Sub Process_Globals
End Sub
Sub Globals
End Sub