﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=7.8
@EndOfDesignText@
Sub Process_Globals
End Sub
#If DOCUMENTATION
	
	'wlComments.Text = "1........2........3........4........5........6........7........8........9.........0........1........2........3"

	SQLite Tables on Device

	====================================================================================================================================================
	techconfig			current status of tech, current work order info, last location

		smempno
		firstname
		lastname
		epacert
		wrkordnbr
		wrkstatus
		lasttime
		worksite
		lat
		lon
		laststart
		ftasks
		docname
		lastarchive
		nexttimestamp
		nextwoa

	CREATE TABLE techconfig (smempno TEXT, firstname TEXT, lastname TEXT, epacert TEXT, wrkordnbr TEXT, wrkstatus TEXT, " & _
							"lasttime TEXT, worksite TEXT, lat TEXT, lon TEXT, laststart TEXT, ftasks TEXT, docname TEXT, lastarchive TEXT, " & _
							"nexttimestamp TEXT, nextwoa TEXT)"

	==================================================================================================================================================

	wolist			open work orders for this tech, loaded by bRefresh_LongClick

		emp
		wrkordnbr
		priority
		servsitename
		contact
		dateenter
		comments
		address1
		servsitenbr
		city
		state
		zip
		phone
		paymethod
		ivrphone
		ivrpin
		nte
		linkdoc
		arcust
		custpo
		alias
		dept
		misc
		tdbilled
		syseqpnbr
		eqtype
		eqmake
		eqmodel
		eqserial
		eqlocation

	CREATE TABLE wolist (emp TEXT, wrkordnbr TEXT, priority TEXT, servsitename TEXT, contact TEXT, dateenter TEXT, comments TEXT, " & _
				"address1 TEXT, servsitenbr TEXT, city TEXT, state TEXT, zip TEXT, phone TEXT, paymethod TEXT, " & _
				"ivrphone TEXT, ivrpin TEXT, nte TEXT, linkdoc TEXT, arcust TEXT, custpo TEXT, alias TEXT, dept TEXT, misc TEXT, tdbilled TEXT, " & _
				"syseqpnbr TEXT, eqtype TEXT, eqmake TEXT, eqmodel TEXT, eqserial TEXT, eqlocation TEXT)"
				
	
	=======================================================================================================================================================

	employees

		smempno
		smname
		prnum
		prdept
		smdept

	CREATE TABLE employees (smempno TEXT, smname TEXT, prnum TEXT, prdept TEXT, smdept TEXT)
		
	=====================================================================================================================================================

	depts

		smdept
		description
		prdept
		emaddress

	CREATE TABLE depts (smdept TEXT, description TEXT, prdept TEXT, emaddress TEXT)

	=====================================================================================================================================================

	timestamps

'		CREATE TABLE timestamps (idtimestamp INT PRIMARY KEY, tranemp TEXT, tranid TEXT, trandate TEXT, trantime TEXT, " & _
'					"tranwo TEXT, lat TEXT, lon TEXT, fsent TEXT,suspendreason TEXT, partseta TEXT, ctries TEXT)
	
		idtimestamp
		tranemp
		tranid
		trandate
		trantime
		tranwo
		lat
		lon
		fsent
		suspendreason
		partseta
		ctries

	==================================================================================================================================================

	povend
	
'	CREATE TABLE povend (vbtnnum INTEGER PRIMARY KEY, vnbr TEXT, vname TEXT, vnpos TEXT )
	
		vbtnnum
		vnbr
		vname
		vnpos

	=================================================================================================================================================

	sitehist

		wrkordnbr
		dateenter
		technician
		comments
		empname

	CREATE TABLE sitehist (wrkordnbr TEXT, dateenter TEXT, technician TEXT, comments TEXT, empname TEXT)

	===============================================================================================================================================

	pohist

	CREATE TABLE pohist (ponum TEXT, povnbr TEXT, povname TEXT, podate TEXT, powrkord TEXT, pocred TEXT)

		ponum
		povnbr
		povname
		podate
		powrkord
		pocred

	===============================================================================================================================================
	
	polist
	
	CREATE TABLE polist (ponum TEXT, povnbr TEXT, povname TEXT, podate TEXT, powrkord TEXT, pocred TEXT, postatus TEXT)
	
		ponum
		povnbr
		povname
		podate
		powrkord
		pocred
		postatus
	
	===============================================================================================================================================
	
	eqHist
		
'		CREATE TABLE eqhist(ideqhistKey INTEGER PRIMARY KEY, ehwrkord TEXT, ehdate TEXT, ehtime TEXT, ehemp TEXT, ehtext TEXT, syseqpnbr TEXT, 
'							ehclass TEXT, ehmake TEXT, ehmodel TEXT, ehserial TEXT, ehlocation TEXT)
'
'	ideqhistkey
'	ehwrkord
'	ehdate
'	ehtime
'	ehemp
'	ehtext
'	syseqpnbr
'	ehclass
'	ehmake
'	ehmodel
'	ehserial
'	ehlocation
	
	===============================================================================================================================================
	
	notes
	
	CREATE TABLE notes (notenbr TEXT, notedate TEXT, notesubject TEXT, notetext TEXT)
	
		notenbr
		notedate
		notesubject
		notetext
	
	===============================================================================================================================================

	pmccontacts

	CREATE TABLE pmccontacts (empname TEXT, empmobile TEXT, empemail TEXT)

		empname
		empmobile
		empemail

	================================================================================================================================================
	
	t10archive

'	CREATE TABLE t10archive (idarchive TEXT, fsent TEXT, wrkordnbr TEXT, requestedby TEXT, referreport TEXT, logbook TEXT, complete TEXT, followup TEXT, _
'								parts TEXT, quote TEXT, fdocs TEXT, wddate TEXT, cname TEXT, sigfile TEXT, emp TEXT, fdispatchreport TEXT, _
'								ctries TEXT, workdone TEXT)
	
	idarchive
	fsent
	wrkordnbr
	requestedby
	referreport
	logbook
	complete
	followup
	parts
	quote
	fdocs
	wddate
	cname
	sigfile
	emp
	fdispatchreport
	ctries
	workdone
	
	================================================================================================================================================

	t10multwo
	
'	CREATE TABLE t10multwo (idmultwo INTEGER PRIMARY KEY AUTOINCREMENT, wrkordnbr TEXT, altwrkord TEXT, sigfile TEXT, cname TEXT, fsent TEXT)
'	
'	idmultwo
'	wrkordnbr
'	altwrkord
'	sigfile
'	cname

	fsent

	================================================================================================================================================
	
	t10system
	
'	CREATE TABLE t10system (idsystem INT PRIMARY KEY AUTOINCREMENT, syseqpnbr TEXT, wrkordnbr TEXT, location TEXT, class TEXT, make TEXT, model TEXT, serial TEXT)
'
'		idsystem
'		syseqpnbr
'		wrkordnbr
'		location
'		class
'		make
'		model
'		serial
		
	================================================================================================================================================
	
	t10stamps
	
	'	CREATE TABLE t10stamps (idstamp INT PRIMARY KEY AUTOINCREMENT, wrkordnbr TEXT, tsempnbr TEXT, tsdate TEXT, tsstart TEXT, tsstop TEXT, tshours TEXT)
		
		idstamp
		wrkordnbr
		tsempnbr
		tsdate
		tsstart
		tsstop
		tshours
		
	================================================================================================================================================
	
	t10equiplist
	
		CREATE TABLE t10equiplist (idequip INT PRIMARY KEY AUTOINCREMENT, wrkordnbr TEXT, syseqpnbr TEXT, eqclass TEXT, eqmanf TEXT, eqmodel TEXT, eqserial TEXT, eqlocation TEXT)
		
		idequip
		wrkordnbr
		syseqpnbr
		eqclass
		eqmanf
		eqmodel
		eqserial
		eqlocation
		
	================================================================================================================================================
	
	t10purchord
	
	'	CREATE TABLE t10purchord (ponum TEXT, povnbr TEXT, povname TEXT, podate TEXT, potech TEXT, pocost TEXT. wrkordnbr TEXT)
	
		ponum
		povnbr
		povname
		podate
		potech
		pocost
		wrkordnbr
		
	================================================================================================================================================
	
	t10markup
	
		CREATE TABLE t10markup (laborrate TEXT, breakpoint TEXT, multiplier TEXT, wrkordnbr TEXT)
	
		laborrate
		breakpoint
		multiplier
		wrkordnbr
		
	================================================================================================================================================
	
	t10truck
	
	'	CREATE TABLE t10truck (tkid INTEGER PRIMARY KEY AUTOINCREMENT, tkpartnbr TEXT, tkdesc TEXT, tkqty TEXT, tkcost TEXT, wrkordnbr TEXT)
	
		tkid
		tkpartnbr
		tkdesc
		tkqty
		tkcost
		wrkordnbr
		
	================================================================================================================================================
	
	t10misc
	
	'	CREATE TABLE t10misc (idmisc INTEGER PRIMARY KEY AUTOINCREMENT, wrkordnbr TEXT, mdesc TEXT, mcost TEXT)
	
	idmisc
	wrkordnbr
	mdesc
	mcost

	================================================================================================================================================
	
	t10quote
	
	'	CREATE TABLE t10quote (idquote INTEGER PRIMARY KEY AUTOINCREMENT, wrkordnbr TEXT, syseqpnbr TEXT, quoteto TEXT, qvoltage TEXT,
	'							qrepair TEXT, qhrs TEXT, qfreight TEXT, qrental TEXT, qrefer TEXT, qsubs TEXT, qother TEXT, qurgency TEXT,
	'							qsite TEXT, qaddress TEXT, qcitystate TEXT, fsent TEXT)
	
'	idquote
'	wrkordnbr
'	syseqpnbr
'	quoteto
'	qvoltage
'	qrepair
'	qhrs
'	qfreight
'	qrental
'	qrefer
'	qsubs
'	qother
'	qurgency
'	qsite
'	qaddress
'	qcitystate
'	fsent
	
	================================================================================================================================================
	
	t10parts
	
'	CREATE TABLE t10parts (idparts INTEGER PRIMARY KEY AUTOINCREMENT, idquote TEXT, wrkordnbr TEXT, partnbr TEXT, partvend TEXT, partdesc TEXT, partqty TEXT, partcost TEXT, fsent TEXT)
	
'	idparts
'	idquote
'	wrkordnbr
'	partnbr
'	partvend
'	partdesc
'	partqty
'	partcost
'	fsent
	
	================================================================================================================================================
	
	t10refer
	
'	CREATE TABLE t10refer (idrefer INTEGER PRIMARY KEY AUTOINCREMENT, wrkordnbr TEXT, emp TEXT, rtype TEXT, rcapacity TEXT, rrecovery TEXT, rreclaim TEXT,
'							rrecycle TEXT, radded TEXT, rleakloc TEXT, rleakrepaired TEXT, rleakrepair TEXT, rnotrepaired TEXT,
'							rvacuum TEXT, rventreason TEXT, rvented TEXT, rnotification TEXT, rcertification TEXT, rdayssincecharge TEXT, fsent TEXT)
	
'	idrefer
'	wrkordnbr
'	emp
'	rtype
'	rcapacity
'	rrecovery
'	rreclaim
'	rrecycle
'	radded
'	rleakloc
'	rleakrepaired
'	rleakrepair
'	rnotrepaired
'	rvacuum
'	rventreason
'	rvented
'	rnotification
'	rcertification
'	rdayssincecharge
'	fsent
'	
	================================================================================================================================================
	
	t10pics
	
	'	CREATE TABLE t10pics (idpics INT PRIMARY KEY AUTOINCREMENT, ptype TEXT, wrkordnbr TEXT, fname TEXT, fsent TEXT)
	
	idpics
	ptype	1 = Pic, 2 = Doc
	wrkordnbr
	fname
	fsent

	================================================================================================================================================
	
	notes
	
	'	CREATE TABLE notes (notenbr TEXT, notedate TEXT, notetext TEXT)
	
	notenbr
	notedate
	notetext
	
	================================================================================================================================================
	
	control

		port					not currently being used because I do not want to put SQL1 in STARTER module
		lastlogsend
		
'	CREATE TABLE control (port TEXT, lastlogsend TEXT)

	=================================================================================================================================================

	applog

		aldate
		altime
		altype
		altext
		altablet

	CREATE TABLE applog (aldate TEXT, altime TEXT, altype TEXT, altext TEXT, altablet TEXT)




#End if


























